Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.messaging
Class InsertMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.messaging.InsertMessage

All Implemented Interfaces:
  java.io.Serializable, Continuation, Message, RawMessage

Direct Known Subclasses:
  GCInsertMessage

    public class InsertMessage

extends ContinuationMessage

Version:
  $Id: InsertMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove, Ansley Post, Peter Druschel
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ExternalContinuationRunnable, Continuation.ExternalRunnable, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`protected RawPastContent` | `content`
`static short` | `TYPE`

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response, S_EMPTY, S_JAVA_EXCEPTION, S_JAVA_RESPONSE, S_SUB, serType`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, id, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`protected` | `InsertMessage(InputBuffer buf, Endpoint endpoint, PastContentDeserializer pcd)`
`` | `InsertMessage(int uid, PastContent content, NodeHandle source, Id dest)` Constructor which takes a unique integer Id, as well as the data to be stored
`` | `InsertMessage(int uid, RawPastContent content, NodeHandle source, Id dest)`

Method Summary
`static InsertMessage` | `build(InputBuffer buf, Endpoint endpoint, PastContentDeserializer pcd)`
`PastContent` | `getContent()` Method which returns the content
`short` | `getType()` Raw Serialization
`void` | `receiveException(java.lang.Exception e)` Method which builds a response for this message, using the provided exception, which was thrown
`void` | `receiveResult(java.lang.Object o)` Method which builds a response for this message, using the provided object as a result.
`void` | `serialize(OutputBuffer buf)` Deprecated to cause warnings.
`protected void` | `serializeHelper(OutputBuffer buf)` So that it can be subclassed without serializing a version here
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`deserialize, getResponse, returnResponse, serialize`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### content

    protected RawPastContent content

Constructor Detail

### InsertMessage

    public InsertMessage(int uid,
                         PastContent content,
                         NodeHandle source,
                         Id dest)

  Constructor which takes a unique integer Id, as well as the data to be stored

  Parameters:
    `uid` - The unique id
    `content` - The content to be inserted
    `source` - The source address
    `dest` - The destination address

### InsertMessage

    public InsertMessage(int uid,
                         RawPastContent content,
                         NodeHandle source,
                         Id dest)

### InsertMessage

    protected InsertMessage(InputBuffer buf,
                            Endpoint endpoint,
                            PastContentDeserializer pcd)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getContent

    public PastContent getContent()

  Method which returns the content

  Returns:
    The contained content

### receiveResult

    public void receiveResult(java.lang.Object o)

  Method which builds a response for this message, using the provided object as a result.

  Specified by:
    `receiveResult` in interface `Continuation`
  Overrides:
    `receiveResult` in class `ContinuationMessage`
  Parameters:
    `o` - The object argument

### receiveException

    public void receiveException(java.lang.Exception e)

  Method which builds a response for this message, using the provided exception, which was thrown

  Specified by:
    `receiveException` in interface `Continuation`
  Overrides:
    `receiveException` in class `ContinuationMessage`
  Parameters:
    `e` - The exception argument

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representing this message

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Description copied from class: `ContinuationMessage`
  Deprecated to cause warnings. use serialize(OutputBuffer buf, boolean javaSerialize)

  Specified by:
    `serialize` in interface `RawMessage`
  Specified by:
    `serialize` in class `ContinuationMessage`
  Throws:
    `java.io.IOException`

### serializeHelper

    protected void serializeHelper(OutputBuffer buf)
                            throws java.io.IOException

  So that it can be subclassed without serializing a version here

  Parameters:
    `buf` -
  Throws:
    `java.io.IOException`

### build

    public static InsertMessage build(InputBuffer buf,
                                      Endpoint endpoint,
                                      PastContentDeserializer pcd)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.